function H265Session() {

    let frameRate = null; //根据SDP或者SPS设置

    let decodeMode = 'canvas';

    function constructor() {

    }
    constructor.prototype = {
        init() {
            this.resolutionChangedCallback = () => {
            };
        },
        remuxRTPData(rtspInterleaved, rtpHeader, rtpPayload){
            console.log('h265session->',rtspInterleaved, rtpHeader, rtpPayload);
        },
        set rtpSessionCallback(func) {
            this.handleDecodedData = func;
        },

        setFrameRate(fps) {
            frameRate = fps;
            //console.log('frameRate: ', frameRate)
        },

        setResolutionChangedCallback(callback) {
            this.resolutionChangedCallback = callback;
        }
    }
    return new constructor();
}


